varying vec3 v_position;

uniform sampler2D tex_color;
uniform sampler2D tex_depth;


void main (void)
{
	float tx = v_position.x * 0.5 + 0.5;
	float ty = v_position.y * 0.5 + 0.5;
	vec4 uv = vec4(tx, ty, 0.0, 1.0);

	gl_FragColor = texture2DProj(tex_depth, uv);
}
